# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_Real Class Reference

The basis to define a real number attribute.
.

`#include <TDataStd_Real.hxx>`

Inheritance diagram for TDataStd_Real:

[legend]

## Public Member Functions

Standard_EXPORT | TDataStd_Real ()
Standard_EXPORT void | SetDimension (const TDataStd_RealEnum DIM)
Standard_EXPORT TDataStd_RealEnum | GetDimension () const
Standard_EXPORT void | Set (const Standard_Real V)
| Finds or creates the real number V. .
Standard_EXPORT Standard_Real | Get () const
| Returns the real number value contained in the attribute. .
Standard_EXPORT Standard_Boolean | IsCaptured () const
| Returns True if there is a reference on the same label .
Standard_EXPORT const Standard_GUID & | ID () const
| Returns the ID of the attribute. .
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&With)
| Restores the backuped contents from <anattribute> into this one. It is used when aborting a transaction. .
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Returns an new empty attribute from the good end type. It is used by the copy algorithm. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&Into, const Handle(TDF_RelocationTable)&RT) const

This method is different from the "Copy" one,
because it is used when copying an attribute from
a source structure into a target structure. This
method may paste the contents of <me> into
<intoattribute>.
The given pasted attribute can be full or empty of
its contents. But don't make a NEW! Just set the
contents!
It is possible to use <arelocationtable> to
get/set the relocation value of a source
attribute.
.

virtual Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &anOS) const
| Dumps the minimum information about <me> on <astream>. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT const Standard_GUID & | GetID ()
| class methods ============= //! Returns the GUID for real numbers.
static Standard_EXPORT Handle_TDataStd_Real | Set (const TDF_Label &label, const Standard_Real value)
| Finds, or creates, an Real attribute and sets <value> the Real attribute is returned. the Real dimension is Scalar by default. use SetDimension to overwrite. //! Real methods ============ .

## Private Attributes

Standard_Real | myValue
TDataStd_RealEnum | myDimension

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_Real::TDataStd_Real | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_OStream& TDataStd_Real::Dump | ( | Standard_OStream & | anOS | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

Standard_EXPORT Standard_Real TDataStd_Real::Get | ( |  | ) | const

Standard_EXPORT TDataStd_RealEnum TDataStd_Real::GetDimension | ( |  | ) | const

static Standard_EXPORT const Standard_GUID& TDataStd_Real::GetID | ( |  | ) | `[static]`

Standard_EXPORT const TDataStd_Real::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_Attribute.

Standard_EXPORT const Standard_GUID& TDataStd_Real::ID | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT Standard_Boolean TDataStd_Real::IsCaptured | ( |  | ) | const

Standard_EXPORT Handle_TDF_Attribute TDataStd_Real::NewEmpty | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_Real::Paste | ( | const Handle(TDF_Attribute)& | Into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_Real::Restore | ( | const Handle(TDF_Attribute)& | With | ) | `[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_Real::Set | ( | const Standard_Real | V | ) |

static Standard_EXPORT Handle_TDataStd_Real TDataStd_Real::Set | ( | const TDF_Label & | label,
|  | const Standard_Real | value
| ) | `[static]`

Standard_EXPORT void TDataStd_Real::SetDimension | ( | const TDataStd_RealEnum | DIM | ) |

## Field Documentation

TDataStd_RealEnum TDataStd_Real::myDimension`[private]`

Standard_Real TDataStd_Real::myValue`[private]`

The documentation for this class was generated from the following file:

- TDataStd_Real.hxx